<template>
  <nav class="nav-lang">
    <span class="nav-lang__active" @click="toggle">
      <!--<img :src="/*require(`~/assets/img/${activeLanguage.code}.png`)*/1" :alt="activeLanguage.name">-->
      {{ activeLanguage.name }}
    </span>
    <ul ref="sub" class="nav-lang__sub">
      <li v-for="locale in inactiveLanguages" :key="locale.code" @click="toggle">
        <nuxt-link :to="switchLocalePath(locale.code)">
          <!--<img :src="/*require(`~/assets/img/${locale.code}.png`)*/1" :alt="locale.name">-->
          {{ locale.name }}
        </nuxt-link>
      </li>
    </ul>
  </nav>
</template>

<script>
export default {
  computed: {
    activeLanguage () {
      return this.$i18n.locales.find(l => l.code === this.$i18n.locale);
    },

    inactiveLanguages () {
      return this.$i18n.locales.filter(l => l.code !== this.$i18n.locale);
    },
  },

  methods: {
    toggle () {
      this.$refs.sub.classList.toggle('active');
    },
  },
};
</script>

<style lang="scss">
.nav-lang {
  &__active {
    cursor: pointer;
  }

  position: relative;
  &__sub {
    position: absolute;

    flex-direction: column;

    display: none;
    &.active {
      display: flex;
    }
  }
}
</style>

<i18n>
{
  "de": {
    "de": "Deutsch",
    "en": "Englisch",
    "jp": "Japanisch"
  },
  "en": {
    "de": "German",
    "en": "English",
    "jp": "Japanese"
  },
  "jp": {
    "de": "ドイツ語",
    "en": "英語",
    "jp": "日本語"
  }
}
</i18n>
